Bug 1161177 - Request for update to 2.6.4
Summary: Request for update to 2.6.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fpc
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joost van der Sluis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1150453
TreeView+ depends on / blocked
 
Reported: 2014-11-06 15:14 UTC by Richard Shaw
Modified: 2015-04-21 19:27 UTC (History)
2 users (show)

Fixed In Version: fpc-2.6.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 19:27:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1173261 None None None Never

Internal Links: 1173261

Description Richard Shaw 2014-11-06 15:14:20 UTC
Description of problem:
The latest version of cqrlog 1.8.2 requires fpc 2.6.4 which was released in March of this year.

Current releases of Fedora seem to have 2.6.2 so this appears to be a patch level update so I request that at least f20+ get updated.

Comment 1 Richard Shaw 2015-02-07 04:05:18 UTC
I have been able to build an updated package but it was non-trivial. For some reason the fcl-web and fastcgi packages use what I would call a more traditional style makefile while the other packages do not. 

For whatever reason the install locations for these two was going into /usr/lib on x86_64 instead of /usr/lib64, but only when using the distinstall target. If the plain install target was used it was fine but then the examples were not installed. The fix was to install both separately:

make packages_install ${INSTALLOPTS}
make packages_exampleinstall ${INSTALLOPTS}

Although this should not be necessary and should be reported upstream.

Comment 2 Jaroslav Reznik 2015-03-03 16:28:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Richard Shaw 2015-03-19 19:09:01 UTC
I saw the build for rawhide, any chance we can get at least through f21?

Comment 4 Joost van der Sluis 2015-03-20 10:21:09 UTC
I think you mean f22?

Did you test the rawhide build, and does it work? If you can confirm that, I can update f22.

Comment 5 Richard Shaw 2015-03-20 12:58:04 UTC
Well, I meant f22 through f21 (I'm not too worried about f20 at this point). I don't want to leave my package, cqrlog, un-updated in a Fedora release that still has a lot of "life" left in it.

Assuming you updated the packge using my comments from above it should be fine. I used it in a COPR repository to get updated packages of cqrlog out.

Lazarus is another story (and another BZ#). I only updated to the latest release and I see you built a release candidate so I need to test that part.

Comment 6 Fedora Update System 2015-04-01 11:45:26 UTC
fpc-2.6.4-1.fc22,lazarus-1.4-0.2.RC2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fpc-2.6.4-1.fc22,lazarus-1.4-0.2.RC2.fc22

Comment 7 Fedora Update System 2015-04-02 01:42:45 UTC
Package fpc-2.6.4-1.fc22, lazarus-1.4-0.2.RC2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fpc-2.6.4-1.fc22 lazarus-1.4-0.2.RC2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5303/fpc-2.6.4-1.fc22,lazarus-1.4-0.2.RC2.fc22
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-04-21 19:27:00 UTC
fpc-2.6.4-1.fc22, lazarus-1.4-0.2.RC2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.